.main-nav{
  height: 100%;
  display: flex;
  justify-content: center;
}

#menu-menu-principal {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 25px;
  padding: 0px;
  z-index: 1;
  margin: 0px;
}

.m-nav {
  height: 100%;
  align-items: center;
  display: flex;
  padding: 9px 0px;
}

.m-nav>a {
  color: var(--color-white-01);
  text-decoration: none;
  font-size: 0.93rem;
  padding: 0px 6px;
  display: block;
  position:relative;
}

.nav-main__sub .m-nav__sub-menu{
  margin-top: 8px;
}

.nav-main__sub-menu {
  overflow: hidden;
  max-height: 0px;
  left: 0px;
  right: 0px;
  opacity: 0;
  display: flex;
  position: absolute;
  justify-content: center;
  padding: 0;
  background: var(--color-white-01);
  min-height: 50px;
  gap: 25px;
  top: -50px;
  z-index: -1;
  transition: 0.35s;
}

.m-nav>a::before{
  content:'';
  opacity:0;
  left: 0px;
  height: 0px;
  bottom: 0px;
  background-color: var(--color-white-01);
  transition: 0.4s;
  position: absolute;
  width: 0%;
}

#menu-menu-principal .m-nav:hover>a::before{
  opacity:1;
  height: 1.8px;
  width:100%;
}

.current_page_item.m-nav>a::before{
  opacity:1;
  height: 1px;
}

#menu-menu-principal .m-nav:hover .nav-main__sub-menu {
  max-height: 1000px;
  opacity: 1;
  top: 70px;
  z-index: -1;
  right: 0px;
  left: 0px;  
  transition: 0.5s ease-in-out;
}

.nav-main__sub-menu {
  padding-top: 10px;
  top: 0px;
}

.nav-main__sub {
  padding-top: 60px;
  padding: 0px;
  max-height: 0px;
  overflow: hidden;
  transition: 0.5s ease-in-out;
}

.nav-main__sub-menu a {
  position:relative;
  text-decoration: none;
  color: var(--color-black-01);
  padding: 0px 10px;
}

.nav-main__sub-menu li:hover .nav-main__sub {
  height: 100%;
  max-height: 500px;
  overflow: hidden;
  padding-bottom: 15px;
}

.m-nav__anchor::before{
  content: '';
  height: 0px;
  width: 0%;
  left: -4px;;
  bottom: -3px;
  opacity:0;
  position: absolute;
  background-color: var(--color-black-01);
}

.m-nav__anchor:hover::before {
  opacity: 1;
  height: 1.8px;
  width: 104%;
}

.current_page_item .m-nav__anchor::before,
.current-menu-ancestor>a::before{
  opacity: 1;
  height: 1.8px;
  width: 104%;
}

.menu-item-has-children>a {
  display: inline;
}


.menu-item-has-children>a::after{
  content: url('../../../assets/icons/arrow-down-white.svg');
  position: relative;
  left: 7px;
}

.menu-item-has-children .menu-item-has-children>a::after{
  content: url('../../../assets/icons/arrow-down-gray.svg');
}

